Tengo instalado el sistema operativo Linux y mi ordenador no se apaga de forma automática ¿Qué pasa?

Cuando apago mi sistema debían, no lo hace automáticamente, tengo que apretar el botón de apagado, no usa el apm, no se como solucionarlo
1

1 Respuesta

23.725 pts. Soy egresado de Ing
Asumiendo que tu sistema si se puede apagar automáticamente, puede que esté faltando soporte en el kernel.
Deberías decirme que distro usas, y cual es la versión del kernel.
También tendría que saber los detalles de tu máquina, tales como que fecha de fabricación tiene la BIOS.
Cuando instalo debían pongo linux26, pues esa es la version que uso y el kernel. Creo es 2.6.7 o algo así.
Distro, es una forma acotada de decir "distribución". Desde tu primer mensaje me dijiste que tu distro es debían. La pregunta a realizarte es:
¿Qué versión?
cat /etc/apt/sources.list
¿Cuál es la version de kernel exacta que estás usando?
Uname -a
Y un poco más de info al respecto de tu máquina,
Lsmod
cat /proc/cpuinfo
Lspci
Una vez que tengas las salidas de estos comandos, envíamelos.
Respecto al debían que si funcionaba, ¿te acordás que version de kernel usaba? ¿Cuándo dejó de funcionar? Fue después de hacer un update?
Si, mi maquina se puede apagar automáticamente, lo hace con windows y lo hizo con la version anterior de debían. Ahora usa debían 3.1 y le kernel es 2.6, no se lo es un distro.
Veo que estas usando kernel 2.6.
Pero... me falta saber las salidas de los comandos que te pase antes. Proablemente no fui muy claro para pedírtelos. Disculpas.
Necesito que me pases las salidas de:
cat /etc/apt/sources.list
Uname -a
Lsmod
cat /proc/cpuinfo
Lspci
Espero dichas salidas para poder seguir ayudándote.
Mientras tanto, te cuento que las versiones de kernel que tienen números impares, se consideran "inestables", mientras que las "pares" son más confiables.
Lo que podrías probar es actualizar tu kernel a una versión 2.6.8, 2.6.10, 2.6.12 o una superior, pero terminada en nro par.
Vale, es que no lo he mirado, lo siento, en cuanto lo mire te lo digo. Otra cosa, andaba intentando instalar el nuevo kde 3.5, yo uso el kde3.3, el problema es que no tengo internet en casa y no puedo actualizarlo directamente. He ido a un ciber y he visto una lista enorme de paquetes debían para el 3.5 pero descargarlos todos uno a uno me lleva un huevo de tiempo. Quisiera saber si existe un único paquete *.deb con todo lo necesario para instalarlo. De los *.tar o *.tar.gz no me fio porque siempre que trato de instalarlos con ./configure y make y make install me da problemas en alguna parte.
Gracias
La gracia de la distribución debían es tener internet y usar apt cuando lo necesites.
LA opción que veo posible es el que lleves tu máquina hasta un lugar donde tengas acceso a internet, hagas los updates necesarios y luego vuelvas a tu casa.
Linux juandingas 2.6.8-2-k7 #1 Thu May 19 18:03:29 JST 2005 i686 GNU/Linux
deb cdrom:[Debian GNU/Linux 3.1 r0a _Sarge_ - Official i386 Binary-1 (20050607)]/ unstable contrib main
Module Size Used by
r128 106916 2
ipv6 262468 12
floppy 60304 0
pcspkr 3688 0
rtc 12728 0
tsdev 7360 0
mousedev 10444 1
joydev 9856 0
evdev 9600 0
es1371 36864 0
ac97_codec 18700 1 es1371
8139cp 20672 0
pci_hotplug 34352 0
via_agp 9088 1
usbhid 32000 0
eth1394 21768 0
uhci_hcd 32784 0
usbcore 118308 4 usbhid,uhci_hcd
snd_ens1371 25252 2
snd_rawmidi 25316 1 snd_ens1371
snd_seq_device 8264 1 snd_rawmidi
snd_pcm 97480 2 snd_ens1371
snd_page_alloc 11720 1 snd_pcm
snd_timer 25668 1 snd_pcm
snd_ac97_codec 69508 1 snd_ens1371
snd 57380 9 snd_ens1371,snd_rawmidi,snd_seq_device,snd_pcm,snd_timer,snd_ac97_codec
soundcore 10400 2 es1371,snd
gameport 4736 2 es1371,snd_ens1371
8139too 26112 0
mii 5184 2 8139cp,8139too
ohci1394 35588 0
parport_pc 36932 0
parport 41544 1 parport_pc
agpgart 34536 2 via_agp
nls_iso8859_1 4096 1
vfat 14656 1
fat 46720 1 vfat
nls_cp437 5760 2
ntfs 102164 1
capability 4616 0
commoncap 7296 1 capability
sr_mod 17444 0
sbp2 24328 0
scsi_mod 124812 2 sr_mod,sbp2
ieee1394 111352 3 eth1394,ohci1394,sbp2
psmouse 20232 0
ide_cd 42528 0
cdrom 40284 2 sr_mod,ide_cd
ext3 126760 1
jbd 61848 1 ext3
mbcache 9284 1 ext3
ide_generic 1472 0
via82cxxx 13980 1
ide_disk 19264 5
pdc202xx_new 11164 1
ide_core 138724 5 ide_cd,ide_generic,via82cxxx,ide_disk,pdc202xx_new
unix 28660 290
font 8448 0
vesafb 6688 0
cfbcopyarea 3840 1 vesafb
cfbimgblt 3072 1 vesafb
cfbfillrect 3712 1 vesafb
processor : 0
vendor_id : AuthenticAMD
cpu family : 6
model : 3
model name : AMD Duron(tm)
stepping : 0
cpu MHz : 896.738
cache size : 64 KB
fdiv_bug : no
hlt_bug : no
f00f_bug : no
coma_bug : no
fpu : yes
fpu_exception : yes
cpuid level : 1
wp : yes
flags : fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 mmx fxsr syscall mmxext 3dnowext3dnow
bogomips : 1769.47
Al parecer, por el contenido de sources. List, estas usando la rama inestable "unstable" de debían.
También se ve que solo usas el CD, por lo que no habría un problema de updates.
Lo que debería ver ahora es cuales son las opciones con que estás arrancando la maquina. PAra saber eso, necesito ver la salida de este comando:
cat /proc/cmdline
Disculpa si te doy muchas vueltas, pero es la forma de ir descartando opciones para llegar a una solución.

Añade tu respuesta

Haz clic para o

Más respuestas relacionadas